Package org.apache.sling.distribution.monitor

## Class DistributionQueueHealthCheck

- java.lang.Object
- - org.apache.sling.distribution.monitor.DistributionQueueHealthCheck

All Implemented Interfaces:
  `org.apache.felix.hc.api.HealthCheck`

    public class DistributionQueueHealthCheck
    extends Object
    implements org.apache.felix.hc.api.HealthCheck

`HealthCheck` that checks if distribution queues' first item has been retried more than a configurable amount of times

### Nested Class Summary

Nested Classes
`static interface` `DistributionQueueHealthCheck.Config`

### Field Summary

### Fields inherited from interface org.apache.felix.hc.api.HealthCheck

`ASYNC_CRON_EXPRESSION, ASYNC_INTERVAL_IN_SEC, KEEP_NON_OK_RESULTS_STICKY_FOR_SEC, MBEAN_NAME, NAME, RESULT_CACHE_TTL_IN_MS, TAGS`

### Constructor Summary

Constructors
`DistributionQueueHealthCheck()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate​(DistributionQueueHealthCheck.Config conf)`
`protected void` `deactivate()`
`org.apache.felix.hc.api.Result` `execute()`
`protected void` `unbindDistributionAgent​(DistributionAgent distributionAgent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DistributionQueueHealthCheck

    public DistributionQueueHealthCheck()

### Method Detail

#### activate

    public void activate​(DistributionQueueHealthCheck.Config conf)

#### deactivate

    protected void deactivate()

#### unbindDistributionAgent

    protected void unbindDistributionAgent​(DistributionAgent distributionAgent)

#### execute

    public org.apache.felix.hc.api.Result execute()

Specified by:
  `execute` in interface `org.apache.felix.hc.api.HealthCheck`